OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.ARB.OcclusionQuery

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_occlusion_query extension, see http://www.opengl.org/registry/specs/ARB/occlusion_query.txt.

Synopsis

- glGenQueries :: GLsizei -> Ptr GLuint -> IO ()
- glDeleteQueries :: GLsizei -> Ptr GLuint -> IO ()
- glIsQuery :: GLuint -> IO GLboolean
- glBeginQuery :: GLenum -> GLuint -> IO ()
- glEndQuery :: GLenum -> IO ()
- glGetQueryiv :: GLenum -> GLenum -> Ptr GLint -> IO ()
- glGetQueryObjectiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- glGetQueryObjectuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
- gl_SAMPLES_PASSED :: GLenum
- gl_QUERY_COUNTER_BITS :: GLenum
- gl_CURRENT_QUERY :: GLenum
- gl_QUERY_RESULT :: GLenum
- gl_QUERY_RESULT_AVAILABLE :: GLenum

# Functions

glGenQueries :: GLsizei -> Ptr GLuint -> IO ()

glDeleteQueries :: GLsizei -> Ptr GLuint -> IO ()

glIsQuery :: GLuint -> IO GLboolean

glBeginQuery :: GLenum -> GLuint -> IO ()

glEndQuery :: GLenum -> IO ()

glGetQueryiv :: GLenum -> GLenum -> Ptr GLint -> IO ()

glGetQueryObjectiv :: GLuint -> GLenum -> Ptr GLint -> IO ()

glGetQueryObjectuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()

# Tokens

gl_SAMPLES_PASSED :: GLenum

gl_QUERY_COUNTER_BITS :: GLenum

gl_CURRENT_QUERY :: GLenum

gl_QUERY_RESULT :: GLenum

gl_QUERY_RESULT_AVAILABLE :: GLenum